package net.pterodactylus.irc.event;

import net.pterodactylus.irc.Connection;
import net.pterodactylus.irc.Source;

import com.google.common.base.Optional;

/**
 * Event that signals that a client was kicked from a channel.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class KickedFromChannel extends AbstractChannelEvent {

	private final Source kicker;
	private final String kickee;
	private final Optional<String> reason;

	public KickedFromChannel(Connection connection, String channel, Source kicker, String kickee, Optional<String> reason) {
		super(connection, channel);
		this.kicker = kicker;
		this.kickee = kickee;
		this.reason = reason;
	}

	public Source kicker() {
		return kicker;
	}

	public String kickee() {
		return kickee;
	}

	public Optional<String> reason() {
		return reason;
	}

}
