package net.pterodactylus.irc.connection;

import static java.util.Arrays.asList;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

import net.pterodactylus.irc.Reply;

/**
 * Helper class to mock {@link Reply}s for testing {@link Handler}s.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class Replies {

	public static Reply createReply(String command, String channel) {
		final Reply reply = mock(Reply.class);
		when(reply.command()).thenReturn(command);
		when(reply.parameters()).thenReturn(asList(":some.server", channel));
		return reply;
	}

	public static Reply createReply(String command) {
		Reply reply = mock(Reply.class);
		return when(reply.command()).thenReturn(command).getMock();
	}

}
